using System;

class Program {
  public static void Main (string[] args) 
  {
    //Unosi se prvi broj
    Console.Write("Unesite prvi broj:");
    int n=Int32.Parse(Console.ReadLine());
    //Unosi se drugi broj
    Console.Write("Unesite drugi broj:");
    int k=Int32.Parse(Console.ReadLine());
    //Formula za odredjivanje cifara je n%i/q gde su pocetne vrednosti promenljivih p i q:
    int i=10;
    int q=1;
    //Definise se promenjliva novbroj u kojoj se skladisti krajnji rezultat
    int novbroj=0;
    //Definise se promenjliva brojac koja broj koliko se puta cifra ponavlja
    int brojac=0;
    int brojb=0;
    int broja=0;
    //Proverava se odnos izmedju brojeva
    if(n>=k)
    {
      //Promenjlive q i i se povecavaju svakim korakom 10 puta i petlja traje dok je q manje od veceg broja 
      while(q<=n)
      {
        int a=n%i/q;
        int b=k%i/q;
        brojb=brojb+b*q;
        if(brojb>=k)
          if(b==0)
          {
            b=-1;
          }
        if(brojac>=1)
        {
          q=q*10;
          i=i*10;
          n=n*10;
          k=k*10;
        }
        if(a>b)
          novbroj=novbroj+a*q;
        else
          if(a<b)
            novbroj=novbroj+b*q;
          else
          {
            novbroj=novbroj+a*q+b*q*10;
            brojac++;
          }
        q=q*10;
        i=i*10;
      }
    }
    else
    {
      while(q<=k)
      {
        int a=n%i/q;
        int b=k%i/q;
        broja=broja+a*q;
        if(broja>=n)
          if(a==0)
          {
            a=-1;
          }
        if(brojac>=1)
        {
          q=q*10;
          i=i*10;
          n=n*10;
          k=k*10;
        }
        if(a>b)
          novbroj=novbroj+a*q;
        else
          if(a<b)
            novbroj=novbroj+b*q;
          else
          {
            novbroj=novbroj+a*q+b*q*10;
            brojac++;
          }
        q=q*10;
        i=i*10;
      }
    }
    //Ispis konacnog rezultata
    Console.WriteLine("Nov broj posle izmena je "+novbroj+ ".");
  }
}